function init(hero) {
    hero.setName("Regent(2017)");
    hero.setTier(5);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    
    hero.addPowers("fiskheroes:canary_cry", "randomhero:lightning", "fiskheroes:hover", "fiskheroes:teleportation", "fiskheroes:cryogenic_physiology", "fiskheroes:flight", "fiskheroes:metal_skin", "fiskheroes:firestorm_matrix");
    hero.addAttribute("FALL_RESISTANCE", 16.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 4.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 2.75, 1);
	
    hero.addKeyBind("SONIC_WAVES", "Wind power", 1);
    hero.addKeyBind("BLADE", "Sand power", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("TELEPORT", "key.teleport", 4);

    hero.setHasProperty(hasProperty);
    hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}

function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 7.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}